Skip to main content
POST
Search in vector store

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required
vector_store_id
string
required

Body

application/json

Search parameters for vector store engines. Extend this model to add new parameters without changing the engine interface.

query
string
required

Query to search for

top_k
integer | null

Number of results to return

filters
Filters · object | null

Filters to apply to the search. For example, {file_id: 123}

rerank_config
RerankConfig · object | null

Reranking configuration. This is only applicable for SGP Vector Stores.

query_type
enum<string> | null

Type of query to perform.

Available options:
semantic,
lexical,
hybrid

Response

Search completed successfully

chunks
VectorStoreChunk · object[]
required

Chunks of the search result